<?php
defined('BASEPATH') or exit('No direct script access allowed');

class ControllerKasProdukArisan extends CI_Controller
{
    public function __construct()
    {
        parent::__construct();
        //validasi jika user belum login
        check_not_login();
        if ($this->session->userdata('level') != 3) {
            redirect();
        }
        $this->set_timezone();
        $this->load->library('encrypt');
        $this->load->library('form_validation');
        $this->load->library('Mycustom');
        $this->load->library('pdfgenerator');
        $this->load->library('Notifikasi');
        $this->load->model('bagian_keuangan/insert_model');
        $this->load->model('bagian_keuangan/select_model');
        $this->load->model('bagian_keuangan/update_model');
    }
    public function set_timezone()
    {
        date_default_timezone_set("Asia/Jakarta");
    }
    public function index()
    {
        $notif = $this->notifikasi->notif_keuangan();
        // Data Login
        $data_login            = $this->userlogin->user_login(); // Menampilkan siapa yang login
        $data_id_login         = $this->session->userdata('isloggedin'); // Menampilkan data session
        // Data Isian Konten
        // Query SQL Data atau isi data page
        // Menampilkan saldo pertama koperasi 
        $saldo_masuk_harian        = $this->select_model->vd_saldoMasukPArisanHarian(); // Menampilkan saldo pertama koperasi
        $saldo_masuk_bulanan       = $this->select_model->vd_saldoMasukPArisanBulanan(); // Menampilkan Penambahan saldo anggaran dasar koperasi
        $saldo_keluar_harian       = $this->select_model->vd_saldoKeluarPArisanHarian(); // Menampilkan Pengurangan saldo anggaran dasar koperasi
        $saldo_keluar_bulanan      = $this->select_model->vd_saldoKeluarPArisanBulanan(); // Menampilkan Pengurangan saldo anggaran dasar koperasi
        $transaksi_bulanan         = $this->select_model->vd_transaksiBulananPArisan(); // Menampilkan perubahan dan history perubahan anggaran dasar koperasi
        // Tampilkan Produk
        $produk_arisan             = $this->select_model->vd_produkArisanAktif(); // Menampilkan semua data produk arisan aktif 
        $arisan_heboh              = $this->select_model->vd_produkArisanHebohAktif(); // Menampilkan semua data produk arisan aktif 
        $arisan_motor              = $this->select_model->vd_produkArisanMotorAktif(); // Menampilkan semua data produk arisan aktif 
        $tampil_tahun              = $this->select_model->getDataTahunTransaksi();
        // echo '<pre>';
        // var_dump($produk_arisan);
        // die;
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'folder'              => 'kas/produk_arisan',
            'page'                => 'index',
            'judul'               => 'Kelola Kas Produk Arisan || Bagian Keuangan',
            'data_id_login'       => $data_id_login,
            'data_login'          => $data_login,
            'notif'               => $notif,
            // Isi data
            'masuk_harian'        => $saldo_masuk_harian,
            'masuk_bulanan'       => $saldo_masuk_bulanan,
            'keluar_harian'       => $saldo_keluar_harian,
            'keluar_bulanan'      => $saldo_keluar_bulanan,
            'history_transaksi'   => $transaksi_bulanan,
            // Produk Arisan
            'produk_arisan'       => $produk_arisan,
            'arisan_heboh'        => $arisan_heboh,
            'arisan_motor'        => $arisan_motor,
            'tampil_tahun'        => $tampil_tahun
        );
        $this->load->view('keuangan/index', $data);
    }
    public function lihat_tanggal()
    {
        // NOtifikasi
        $notif = $this->notifikasi->notif_keuangan();
        // End_notifikasi 
        if (isset($_POST['filterTransaksiKasTanggal'])) {
            // Data Login
            $bulan                 = htmlspecialchars($this->input->post('bulan_transaksi'));
            $tahun                 = htmlspecialchars($this->input->post('tahun_transaksi'));
            $data_login            = $this->userlogin->user_login();
            $data_id_login         = $this->session->userdata('isloggedin');
            // Data Isian Konten
            // Query SQL Data atau isi data page
            // Menampilkan saldo pertama koperasi
            $saldo_masuk_bulanan       = $this->select_model->vd_saldoMasukFilterPArisanBulanan($bulan, $tahun); // Menampilkan Penambahan saldo anggaran dasar koperasi
            $saldo_keluar_bulanan      = $this->select_model->vd_saldoKeluarFilterPArisanBulanan($bulan, $tahun); // Menampilkan Pengurangan saldo anggaran dasar koperasi
            $transaksi_bulanan         = $this->select_model->vd_transaksiBulananFilterPArisan($bulan, $tahun); // Menampilkan perubahan dan history perubahan anggaran dasar koperasi
            // Menampilkan tahun tersedia di KAS
            $tampil_tahun              = $this->select_model->getDataTahunTransaksi();
            // End_notifikasi
            $data = array(
                // Untuk memanggil halaman sesuai menu
                'folder'              => 'kas/produk_arisan',
                'page'                => 'filter',
                'judul'               => 'Kelola Kas Produk Arisan || Bagian Keuangan',
                'data_id_login'       => $data_id_login,
                'data_login'          => $data_login,
                'notif'               => $notif,
                'tampil_tahun'        => $tampil_tahun,
                // Isi data
                'masuk_bulanan'       => $saldo_masuk_bulanan,
                'keluar_bulanan'      => $saldo_keluar_bulanan,
                'history_transaksi'   => $transaksi_bulanan,
                'bulan'               => $bulan,
                'tahun'               => $tahun
            );
            $this->load->view('keuangan/index', $data);
        }
    }
    public function cetak_filter($id)
    {
        $bulan                     = substr($this->encrypt->decode($id), 0, 2);
        $tahun                     = substr($this->encrypt->decode($id), 2, 4);

        $saldo_masuk_bulanan       = $this->select_model->vd_saldoMasukFilterPArisanBulanan($bulan, $tahun); // Menampilkan Penambahan saldo anggaran dasar koperasi
        $saldo_keluar_bulanan      = $this->select_model->vd_saldoKeluarFilterPArisanBulanan($bulan, $tahun); // Menampilkan Pengurangan saldo anggaran dasar koperasi
        $saldo_omset_bulanan      = $this->select_model->vd_saldoOmsetFilterPArisanBulanan($bulan, $tahun); // Menampilkan Pengurangan saldo anggaran dasar koperasi
        $transaksi_bulanan         = $this->select_model->vd_transaksiBulananFilterPArisan($bulan, $tahun); // Menampilkan perubahan dan history perubahan anggaran dasar koperasi
        // echo '<pre>';
        // var_dump($saldo_masuk_bulanan, $saldo_keluar_bulanan);
        // die;
        $data = array(
            // Untuk memanggil halaman sesuai menu
            'title_pdf'           => 'Laporan Kas Produk Arisan ' . $bulan . '/' . $tahun,
            'folder'              => 'arisan/heboh',
            'page'                => 'index',
            'judul'               => 'Kelola Bayar Arisan Heboh || Bagian Kasir',
            'masuk_bulanan'       => $saldo_masuk_bulanan,
            'keluar_bulanan'      => $saldo_keluar_bulanan,
            'omset_bulanan'       => $saldo_omset_bulanan,
            'history_transaksi'   => $transaksi_bulanan,
            'bulan'               => $bulan,
            'tahun'               => $tahun
        );
        // filename dari pdf ketika didownload
        $this->load->view('document/laporan/arisan/cetak_kas_produk_arisan_filter', $data);
    }
    public function crud()
    {
        if (isset($_POST['simpanTransaksiBaru'])) {
            if (htmlspecialchars($this->input->post('jenis_transaksi')) == 'PILIH') :
                $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Masukkan Jenis Transaksi!</div>');
            else :
                if (htmlspecialchars($this->input->post('produk_arisan')) == '0') :
                    $this->session->set_flashdata('pesan_gagal', '<div class="alert alert-danger" id="pesan_gagal" role="alert">Masukkan Produk Arisan!</div>');
                else :
                    if (htmlspecialchars($this->input->post('produk_arisan')) == '21') :
                        $this->insert_model->simpanDataTransaksiArisanHeboh();
                    else :
                        $this->insert_model->simpanDataTransaksiArisanMotor();
                    endif;
                endif;
            endif;
            redirect('keuangan/kas/produk_arisan');
        };
    }
}

/* End of file ControllerKasProdukArisan.php and path \application\controllers\keuangan\kas\ControllerKasProdukArisan.php */